import java.net.*;
import java.io.*;

public class MiniServeur
{
   private static final int PORT_DFAUT = 4444,
                            BACKLOG_DFAUT = 4;
   public static void main (String [] args)
   {
      int Port = PORT_DFAUT,
          Backlog = BACKLOG_DFAUT;
      ServerSocket srv_s = null;
      Socket s = null;
      System.out.println ("Cration d'un serveur sur le port " + Port);
      try
      {
         srv_s = new ServerSocket (Port, Backlog);
         System.out.println ("En attente d'une demande de connexion...");
         s = srv_s.accept ();
         System.out.println ("Connexion!");
      }
      catch (SocketException se)
      {
         System.err.println ("Problme de socket" + se);
         System.exit (-1);
      }
      catch (IOException ioe)
      {
         System.err.println ("Problme d'entre/ sortie: " + ioe);
         System.exit (-2);
      }

      boolean ClientConnect = true;
      InputStreamReader isr = null;

      try
      {
         isr = new InputStreamReader (s.getInputStream());
      }
      catch (IOException ioe)
      {
         System.err.println ("Problme d'entre/ sortie: " + ioe);
         System.exit (-2);
      }
      while (ClientConnect)
      {
         try
         {
            int Message = isr.read ();
            if (Message != -1)
               System.out.print ((char)Message);
            else
               ClientConnect = false;
         }
         catch (SocketException se)
         {
            System.err.println ("Problme de socket" + se);
            System.exit (-1);
         }
         catch (IOException ioe)
         {
            System.err.println ("Problme d'entre/ sortie: " + ioe);
            System.exit (-2);
         }
      }
      try
      {
         s.close ();
         srv_s.close ();
      }
      catch (IOException ioe)
      {
      }
      System.out.println ();
      System.out.println ("Termin!");
   }
}
